
Redmine - Defect #11117

Mailhandler bug on french accent in mail title 

2012-06-08 11:39 - Ben Jamin

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.4

Rails version             3.2.3

Active Record version     3.2.3

Action Pack version       3.2.3

Active Resource version   3.2.3

Action Mailer version     3.2.3

Active Support version    3.2.3

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x7fa396f29978>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag,

ActionDispatch::BestStandardsSupport, OpenIdAuthentication

Environment               production

Database adapter          mysql

Database schema version   20120422150750

 We just upgraded to Redmine 2.0.0. With the previous version, it was working fine.

Our user send email from gmail to a gmail adress.

Redmine get email from that gmail box.

Accent in title get are wrongly handle by Redmine.

This is the source of the email sent by gmail :

MIME-Version: 1.0

Date: Fri, 8 Jun 2012 11:31:41 +0200

Message-ID: <CAAnb_-doifFrhL8YSwO9Vn0h4VqaC9gHx4bH-Go912sO4G8qBw@mail.gmail.com>

Subject: =?ISO-8859-1?Q?Bug_title_t=E9l=E9vision?=

From: Ben <ben@ben.com>

To: ticket <ticket@ben.com>

Content-Type: multipart/alternative; boundary=047d7b15af09f4acfe04c1f2aaf4

X-Gm-Message-State: ALoCoQlHVI7Qsl45fT894nrYYKL7sgNs81E0gqnS5qRHnj8OJOjiGcW/SbwdztjCLfHyBDN+udK3

--047d7b15af09f4acfe04c1f2aaf4

Content-Type: text/plain; charset=ISO-8859-1

Content-Transfer-Encoding: quoted-printable

In the body t=E9l=E9vision works fine

--047d7b15af09f4acfe04c1f2aaf4

Content-Type: text/html; charset=ISO-8859-1

Content-Transfer-Encoding: quoted-printable

In the body t=E9l=E9vision works fine

--047d7b15af09f4acfe04c1f2aaf4--
 The ticket get created :

title : "Bug title t"

Desc : "In the body télévision works fine"

Thanks

Related issues:

Related to Redmine - Defect #11065: E-Mail submitted tickets: German umlauts ... Closed

History

#1 - 2012-06-08 20:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #11065. Works fine with ruby1.9 BTW.

#2 - 2012-06-11 13:22 - Ben Jamin

The fix r9796 works fine for me. Thanks

#3 - 2012-06-11 19:54 - Jean-Philippe Lang

Thanks for the feedback.

#4 - 2012-09-17 16:43 - Jean-Philippe Lang

- Description updated
